Subject: Re: bug#71679: 29.3; treesit-node-child function chokes and crashes emacs for nodes with large number of child nodes

From: Eli Zaretskii <[email-masked]>
Date: Thu, 20 Jun 2024 22:43:39 +0300

> From: Mauritz Stenek <[email-masked]>
> Cc: [email-masked]
> Date: Thu, 20 Jun 2024 13:31:52 -0600
> 
> On 2024-06-20 at 13:10, Eli Zaretskii <[email-masked]> wrote:
> 
> > But your way should also work, if you say "continue" after 
> > attaching
> > GDB.  And don't use -i=mi, since the MI interface is for another
> > program to drive GDB, it is not convenient for humans.
> 
> I couldn't run it your way; running it without the `-i=mi`, this 
> is what I get from gdb:
> 
> ```
> (gdb) continue
> Continuing.
> 
> Thread 1 ".emacs-29.3-rea" received signal SIGSEGV, Segmentation 
> fault.
> 0x0000000000584404 in ?? ()
> (gdb) bt
> #0  0x0000000000584404 in ?? ()
> #1  0x0000000000662d88 in ?? ()
> #2  0x0000000000604b9d in ?? ()
> #3  0x0000000000602b1b in ?? ()
> #4  0x000000000060350d in ?? ()

This means your Emacs is stripped of debug information, so no useful
backtrace is possible.

But never mind: as I wrote earlier, I've reproduced this problem in
the stock Emacs 29.2, and then saw that we already fixed it in the
development sources.